# How to Setup WebMap Applications To Run Over SubDomains or WebApplications In IIS

![](/files/vCQs4xceiXpV8ClMcgnD)

Setup will work for next versions of package components or higher:

* <mark style="color:red;">7.3.1 WFNetKendoComponents</mark>
* <mark style="color:red;">7.3.58 PBKendoComponents</mark>
* <mark style="color:red;">0.1.1-rc.1343 WFNetC1Components</mark>&#x20;
* <mark style="color:red;">2.2.0-rc1265 WFNetJanusKendoComponents</mark>
* <mark style="color:red;">1.23.5 WebFormsComponents</mark>

Before performing that configuration please be sure project has last version of Mobilize package. You will be able to see last version of Mobilize components used in package.json file in angular frontend project dependencies object. Mobilize reference packages can change based in the kind of technology used for migration. For example winforms-components correspond to packages used to migrate WinForms legacy applications created in Visual Studio .Net.

![](/files/rsdUDmQwZeVF1wSett4K)

Go to app.module.ts file and try to find "const config" object declaration.&#x20;

![](/files/Fw7eP0IWvtAHKaG5jBfD)

If object config is already declared add line <mark style="color:red;">**baseHref: '/SubDomainName/'**</mark> as a new object property  and replace word <mark style="color:red;">**SubDomainName**</mark> by the nameof the subdomain or web application configured in IIS.&#x20;

For example: in bellow image as the subdomain was created with DropDown you should replace <mark style="color:red;">**SubDomainName**</mark>  with <mark style="color:red;">DropDown</mark>  <mark style="color:red;">**baseHref: '/**</mark><mark style="color:red;">DropDown</mark> <mark style="color:red;"></mark><mark style="color:red;">**/'**</mark>

![](/files/5FvQAbiArj0GTn8TuSBm)

![](/files/fB0L8Ed7rxTpPYgmvANA)

In case config object doesn’t appear declared in file, you must include object config definition after import section and before @NgModule and follow some extra steps explained bellow to achieve setup correctly.

<mark style="color:red;">**const config: any = { dataManagerBusyLoaderTime: 0, useBundleEvent: false, useDynamicServerEvents: true, usePercentage: false, webMapVersion: 'v5', showBrowserContextMenu: false, baseHref: '/DropDownList2/', };**</mark>

![](/files/Ovz4wOaDiRnuSL0zITVg)

After last step go to app.compoment.html file and try to find wm-background-worker if the label exists modify url property in <mark style="color:red;">**background-worker**</mark> to include name of subdomain.

![](/files/JOFk7SNBIQnJkXcgyFTS)

Then go to terminal and execute next command to build frontend angular project <mark style="color:red;">**ng build --base-href “/DropDownList2/” –prod**</mark>  where “/DropDownList2/” should be replaced by the name of the subdomain created in IIS and where you will publish WebMap migrated application.

Finally go to backend project in Visual Studio and publish site. Then move published files to physical path setup for web application.

If you go to network, you will see all requests should include additional subdomain in Request URL. and application should work properly when is under a subdomain.

![](/files/nux8BRn8zaX2CJS1Ibjy)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.gapvelocity.ai/webmap/general/frontend/guides/how-to-setup-webmap-applications-to-run-over-subdomains-or-webapplications-in-iis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
